This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 177303 - footers containing '=' break quoted-printable encoding
footers containing '=' break quoted-printable encoding
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-09 07:42 EST by Joel Uckelman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.1.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 05:43:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2006-01-09 07:42:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
I noticed that some footers appended by Mailman break
the encoding of quoted-printable messages. The footer
presently being appended to messages going through SF
mailing lists contains the following link:

http://ads.osdn.com/?ad_id=7637&alloc_id=16865&op=click

If the message is encoded as quoted-printable, then the
'=' in the URL should be interpreted by the mail client
as starting an encoded octet (according to RFC 2045
6.7(1)). While '=76' and '=16' are valid (though
unintended) encoded octets, '=cl' is not because 'l' is
not a hex digit, and hence the message doesn't have a
valid encoding.

This causes problems for mail clients which don't know
how to handle improper quoted-printable encoding.

Aparently this has been fixed in Mailman 2.1.6, which I
see is going to be in FC5. In any case, I thought it would
be good to report this since many people will be using FC4
for a while to come.

Version-Release number of selected component (if applicable):
mailman-2.1.5-35.fc4

How reproducible:
Always

Steps to Reproduce:
1. Put an '=' in a mailman footer, followed by something in [^0-9A-Fa-f].
2. Send a quoted-printable encoded message to the list.
3. Notice that the footer isn't properly encoded when the message comes back.
  

Actual Results:  Returned message was improperly encoded.

Expected Results:  Returned message should be properly encoded.

Additional info:
Comment 2 Joel Uckelman 2006-06-19 08:16:03 EDT
I have 2.1.8 installed and it works properly. Thanks.
Comment 3 Christian Iseli 2007-01-19 19:33:31 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Joel Uckelman 2007-01-20 05:43:46 EST
I *did* reply (in comment #2) that problem is fixed in the version referenced in
comment #1. I didn't realize that it was for me to close the bug, though, sorry.

Note You need to log in before you can comment on or make changes to this bug.